﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Diagnostics;
using System.Linq;
using System.Text;
using Infragistics.Win.UltraWinGrid;

namespace scrollProb
{
    public partial class UltraGridView : UltraGrid
    {
        public UltraGridView()
        {
            InitializeComponent();
        }

        public UltraGridView(IContainer container)
        {
            container.Add(this);

            InitializeComponent();
        }

        protected override void FireInitializeLayout(InitializeLayoutEventArgs e)
        {
            base.FireInitializeLayout(e);

            //************************************************
            //---   Next 2 lines have cause the error
            this.ScrollColumn(ColScrollAction.Left);
            this.ScrollRow(RowScrollAction.Top);
        }

        public void ScrollColumn(Infragistics.Win.UltraWinGrid.ColScrollAction scrollAction)
        {
            this.ActiveColScrollRegion.Scroll(scrollAction);
        }

        public void ScrollRow(Infragistics.Win.UltraWinGrid.RowScrollAction scrollAction)
        {
            this.ActiveRowScrollRegion.Scroll(scrollAction);
        }

    }
}
